LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File nodejs.changes of Package nodejs (Project openSUSE:Factory)

-------------------------------------------------------------------
Fri Aug 30 20:02:44 UTC 2013 - pascal.bleser@opensuse.org

- update to 0.10.17:
  * uv: Upgrade v0.10.14
  * http_parser: Do not accept PUN/GEM methods as PUT/GET
  * tls: fix assertion when ssl is destroyed at read 
  * stream: Throw on 'error' if listeners removed 
  * dgram: fix assertion on bad send() arguments
  * readline: pause stdin before turning off terminal raw mode
  * package:
    - remove unneeded files such as Makefiles, tests, ...
    - fix missing shebangs, exec flags
- changes from 0.10.16:
  * v8: back-port fix for CVE-2013-2882
  * npm: Upgrade to 1.3.8
  * crypto: fix assert() on malformed hex input
  * crypto: fix memory leak in randomBytes() error path
  * events: fix memory leak, don't leak event names
  * http: Handle hex/base64 encodings properly
  * http: improve chunked res.write(buf) performance
  * stream: Fix double pipe error emit
- changes from 0.10.15:
  * src: fix process.getuid() return value
- changes from 0.10.14:
  * os: Don't report negative times in cpu info
  * fs: Handle large UID and GID
  * url: Fix edge-case when protocol is non-lowercase
  * node: call MakeDomainCallback in all domain cases
  * crypto: fix memory leak in LoadPKCS12
- changes from 0.10.13:
  * tls: only wait for finish if we haven't seen it
  * http: Dump response when request is aborted
  * http: use an unref'd timer to fix delay in exit
  * zlib: level can be negative
  * zlib: allow zero values for level and strategy
  * string_bytes: properly detect 64bit
  * src: fix memory leak in UsingDomains
- changes from 0.10.12:
  * readline: make `ctrl + L` clear the screen
  * v8: add setVariableValue debugger command
  * net: Do not destroy socket mid-write
- changes from 0.10.11:
  * v8: fix pointer arithmetic undefined behavior
  * crypto: fix utf8/utf-8 encoding check
  * net: Fix busy loop on POLLERR|POLLHUP on older linux kernels
- changes from 0.10.10:
  * url: Properly parse certain oddly formed urls
  * stream: unshift('') is a noop
- changes from 0.10.9:
  * repl: fix JSON.parse error check
  * tls: proper .destroySoon
  * tls: invoke write cb only after opposite read end
  * tls: ignore .shutdown() syscall error
- changes from 0.10.8:
  * v8: update to 3.14.5.9
  * http: remove bodyHead from 'upgrade' events
  * http: Return true on empty writes, not false
  * http: save roundtrips, convert buffers to strings
  * buffer: throw when writing beyond buffer
  * crypto: Clear error after DiffieHellman key errors
  * string_bytes: strip padding from base64 strings
- changes from 0.10.7:
  * crypto: Don't ignore verify encoding argument
  * buffer, crypto: fix default encoding regression
  * timers: fix setInterval() assert
- changes from 0.10.6:
  * module: Deprecate require.extensions
  * stream: make Readable.wrap support objectMode, empty streams
  * child_process: fix handle delivery
  * crypto: Fix performance regression

-------------------------------------------------------------------
Wed Aug 16 13:17:48 UTC 2013 - froh@suse.com

- make nodejs use the v8 shipped with it by upstream.
  The API of the new v8 deviates too much and we're not involved
  enough upstream to justify a deviation here.

-------------------------------------------------------------------
Thu Apr 25 18:33:51 UTC 2013 - adaugherity@tamu.edu

- update to 0.10.5

-------------------------------------------------------------------
Thu Apr 25 18:12:39 UTC 2013 - adaugherity@tamu.edu

- rebase 0.10.4 build/patches against current OBS state

-------------------------------------------------------------------
Sun Apr 21 19:29:22 UTC 2013 - dmueller@suse.com

- always runtime require the exact v8 version that was used
  for building, as it breaks binary compatibility quite often 

-------------------------------------------------------------------
Sun Apr 21 10:01:43 UTC 2013 - edy.burt@gmail.com

- updated to 0.8.23
- added nodejs-openssl-missing-api.patch:
    * provides a macro implementation of EVP_PKEY_id, not present
      in openssl 0.9.8j and previous versions.
    * required when building for SLE11, which has older openssl.
- added nodejs-v8-deprecated-api.patch:
  * allows 0.8 versions of nodejs to use newer v8 versions, which
    deprecated (or renamed, in this case) some methods (in 3.15.3)
    and subsequently removed them (in 3.16.5).

-------------------------------------------------------------------
Fri Apr 19 20:05:20 UTC 2013 - adaugherity@tamu.edu

- make v8 version deps explicit, and add more provides (copied from Fedora)

This will require manually updating the nodejs pkg whenever there's a
minor version bump in v8 (3.x to 3.y, not micro, i.e. 3.x.a to 3.x.b),
but that's better than v8 updates breaking existing nodejs installations.

-------------------------------------------------------------------
Thu Apr 18 23:31:58 UTC 2013 - adaugherity@tamu.edu

- Fix build on platforms w/openssl 0.9.8 (e.g. SLES 11).
- Fix -devel subpkg -- manually install headers (copied from Fedora),
  and move dtrace and share to -devel subpkg.
  + NodeJS <= 0.8 installed headers itself, so this was not previously
    necessary.
  + NB: Fedora uses an external libuv pkg, but we don't, so we must
    also copy libuv headers.

-------------------------------------------------------------------
Thu Apr 18 14:23:49 UTC 2013 - dimstar@opensuse.org

- Update to version 0.10.4:
  + See https://raw.github.com/joyent/node/v0.10.4/ChangeLog
- Delete no longer needed patches:
  + node-v0.8.12_missing_include.patch
  + nodejs-devel-lib64path.patch
  + nodejs-no-v8-headers.patch
- Rebase nodejs-lib64path.patch and nodejs-libpath.patch.
- Add nodejs-v8-3.18.0.patch: make node.js compatible to V8 3.18.0.

-------------------------------------------------------------------
Thu Mar  7 13:53:28 UTC 2013 - dvaleev@suse.com

- Set ExclusiveArch to x86 and ARM
  nodejs depends on v8 which is available only for those arches atm 

-------------------------------------------------------------------
Thu Jan 31 16:08:14 CST 2013 - adaugherity@tamu.edu

- fix node-gyp to use the system v8 headers instead of those bundled with nodejs
    * Without this, dependencies installed via npm will be built against
      the bundled v8 (3.11.10) but linked against the system libv8 (currently
      3.16.x) which has ABI incompatibilites, and fail to run with symbol
      errors.
    * 3.16 ABI change: http://upstream-tracker.org/compat_reports/v8/3.15.11.7_to_3.16.0/abi_compat_report.html
    * node-gyp patch taken from Fedora SRPM -- https://bugzilla.redhat.com/show_bug.cgi?id=891175#c7
- remove bundled sources for shared dependencies, a la the Fedora 18
  updates-testing package (but simplified a bit)
    * without doing this, /usr/include/node will still have the 3.11.0
      v8 headers, and node-gyp will remain broken
- patch tools/install.py to not install these removed headers

-------------------------------------------------------------------
Fri Nov  2 16:18:09 UTC 2012 - mrueckert@suse.de

- added node-v0.8.12_missing_include.patch:
  fixes a compiler warning about implicite declaration due to
  missing include.
- enabled usage of system zlib and openssl
- enabled gdb support
- set CFLAGS/CXXFLAGS so the binary gets compiled with the optflags

-------------------------------------------------------------------
Thu Oct 25 01:38:35 UTC 2012 - douglarek@outlook.com

- update to version 0.8.12 
    * npm: Upgrade to 1.1.63

    * crypto: Reduce stability index to 2-Unstable (isaacs)

    * windows: fix handle leak in uv_fs_utime (Bert Belder)

    * windows: fix application crashed popup in debug version (Bert Belder)

    * buffer: report proper retained size in profiler (Ben Noordhuis)

    * buffer: fix byteLength with UTF-16LE (koichik)

    * repl: make "end of input" JSON.parse() errors throw in the REPL (Nathan Rajlich)

    * repl: make invalid RegExp modifiers throw in the REPL (Nathan Rajlich)

    * http: handle multiple Proxy-Authenticate values (Willi Eggeling)

-------------------------------------------------------------------
Mon Sep 17 19:12:44 UTC 2012 - coolo@suse.com

- update to version 0.8.9
  * v8: upgrade to 3.11.10.22
  * GYP: upgrade to r1477
  * npm: Upgrade to 1.1.61
  * npm: Don't create world-writable files (isaacs)
  * unix: fix memory leak in udp (Ben Noordhuis)
  * unix: map errno ESPIPE (Ben Noordhuis)
  * unix, windows: fix memory corruption in fs-poll.c (Ben Noordhuis)
  * child process: fix processes with IPC channel don't emit 'close' (Bert Belder)
  * build: fix openssl configuration for "arm" builds (Nathan Rajlich)
  * tls: support unix domain socket/named pipe in tls.connect (Shigeki Ohtsu)
  * https: make https.get() accept a URL (koichik)
  * http: respect HTTP/1.0 TE header (Ben Noordhuis)
  * crypto, tls: Domainify setSNICallback, pbkdf2, randomBytes (Ben Noordhuis)
  * stream.pipe: Don't call destroy() unless it's a function (isaacs)

  * unix, windows: fix memory corruption in fs-poll.c (Ben Noordhuis)
  * unix: fix integer overflow in uv_hrtime (Tim Holy)
  * tls: update default cipher list (Ben Noordhuis)
  * unix: Fix llvm and older gcc duplicate symbol warnings (Bert Belder)
  * fs: fix use after free in stat watcher (Ben Noordhuis)
  
  * crypto: fix uninitialized memory access in openssl (Ben Noordhuis)
  * buffer, crypto: fix buffer decoding (Ben Noordhuis)
  * tls: handle multiple CN fields when verifying cert (Ben Noordhuis)
  * doc: remove unused util from child_process (Kyle Robinson Young)

-------------------------------------------------------------------
Thu Jul 19 06:56:57 UTC 2012 - jzheng@suse.com

- update to version 0.8.2:
  API changes between v0.6 and v0.8:
  https://github.com/joyent/node/wiki/API-changes-between-v0.6-and-v0.8
- update npm to 1.1.36
- remove node-segfault.patch, as 0.8.2 already has this fix
- remove nodejs-npm-lib64path.patch as no wscript any more
- remove libdir from configure as no such option in 0.8
- update nodejs-lib64path.patch to fix lib64 issue in x86_64

-------------------------------------------------------------------
Fri Jun 15 11:05:56 UTC 2012 - dvaleev@suse.com

- fix segfault 

-------------------------------------------------------------------
Fri Jun 15 10:30:28 UTC 2012 - dvaleev@suse.com

- update to version 0.6.19 
  npm: upgrade to 1.1.24
  fs: no end emit after createReadStream.pause() (Andreas Madsen)
  vm: cleanup module memory leakage (Marcel Laverdet)
  unix: fix loop starvation under high network load (Ben Noordhuis)
  unix: remove abort() in ev_unref() (Ben Noordhuis)
  windows/tty: never report error after forcibly aborting line-buffered read (Bert Belder)
  windows: skip GetFileAttributes call when opening a file (Bert Belder)

-------------------------------------------------------------------
Tue May  8 15:52:08 UTC 2012 - cthiel@suse.com

- update to version 0.6.17
  * Upgrade npm to 1.1.21
  * uv: Add support for EROFS errors 
  * uv: Add support for EIO and ENOSPC errors
  * windows: Add support for EXDEV errors 
  * http: Fix client memory leaks 
  * fs: fix file descriptor leak in sync functions 
  * fs: fix ReadStream / WriteStream double close bug 
- changes in version 0.6.16
  * Upgrade V8 to 3.6.6.25
  * Upgrade npm to 1.1.19
  * Windows: add mappings for UV_ENOENT
  * linux: add IN_MOVE_SELF to inotify event mask 
  * unix: call pipe handle connection cb on accept() error 
  * unix: handle EWOULDBLOCK 
  * map EWOULDBLOCK to UV_EAGAIN 
  * Map ENOMEM to UV_ENOMEM 
  * Child process: support the `gid` and `uid` options 
  * test: cluster: add worker death event test 
  * typo in node_http_parser 
  * http_parser: Eat CRLF between requests, even on connection:close. 
  * don't check return value of unsetenv

-------------------------------------------------------------------
Wed Apr 18 14:11:59 UTC 2012 - saschpe@suse.de

- Update to version 0.6.15:
  * Update npm to 1.1.16
  * Show licenses in binary installers.
  * unix: add uv_fs_read64, uv_fs_write64 and uv_fs_ftruncate64
  * add 64bit offset fs functions
  * fs.readFile: don't make the callback before the fd is closed
  * Fix #2061: segmentation fault on OS X due to stat size mismatch
- Remove empty %clean section not cleaning up anything (and there's good default)
- Add spec file license header
- Ran spec-cleaner

-------------------------------------------------------------------
Thu Apr  5 11:22:33 UTC 2012 - cthiel@suse.com

- update to 0.6.14
  see https://github.com/joyent/node/blob/v0.6.14-release/ChangeLog for details

-------------------------------------------------------------------
Wed Feb  15 16:17:00 UTC 2012 - tuukka.pasanen@ilmi.fi

- Removed doc patch because it's included in neew 0.6.10 nodejs
- Upgraded to newest 0.6.10
- Testing on openSUSE 12.1

-------------------------------------------------------------------
Fri Jan 27 19:04:03 UTC 2012 - jmassaguerpla@suse.com

- Update to 0.6.8 

-------------------------------------------------------------------
Thu Dec  1 19:39:23 UTC 2011 - jmassaguerpla@suse.com

- Added patch for npm docs 

-------------------------------------------------------------------
Wed Nov 30 12:24:22 UTC 2011 - jmassaguerpla@suse.com

- Fix files section:
   use %{_libdir} instead of lib64 

-------------------------------------------------------------------
Tue Nov 29 15:51:50 UTC 2011 - jmassaguerpla@suse.com

- Removed 0.6.2 source 

-------------------------------------------------------------------
Fri Nov 25 16:13:45 UTC 2011 - jmassaguerpla@suse.com

- Updated to 0.6.3
    #2083 Land NPM in Node. It is included in packages/installers and installed on `make install`.
    #2076 Add logos to windows installer.
    #1711 Correctly handle http requests without headers. (Ben Noordhuis, Felix Geisendörfer)
    TLS: expose more openssl SSL context options and constants. (Ben Noordhuis)
    #2177 Windows: don’t kill UDP socket when a packet fails to reach its destination. (Bert Belder)
    Windows: support paths longer than 260 characters. (Igor Zinkovsky)
    Windows: correctly resolve drive-relative paths. (Bert Belder)
    #2166 Don’t leave file descriptor open after lchmod. (Isaac Schlueter)
    #2084 Add OS X .pkg build script to make file.
    #2160 Documentation improvements. (Ben Noordhuis)
 

-------------------------------------------------------------------
Wed Nov 23 17:21:19 UTC 2011 - jmassaguerpla@suse.com

- Updated to 0.6.2
- Build and link against system v8 

-------------------------------------------------------------------
Tue Oct  4 15:21:47 UTC 2011 - fcastelli@suse.com

- Revert to latest stable version of node (0.4.12). Some packages didn't work
  properly with unstable.

-------------------------------------------------------------------
Tue Oct  4 14:14:36 UTC 2011 - fcastelli@suse.com

- Update to latest unstable version of node: 0.5.8
- Build & link against system v8

-------------------------------------------------------------------
Fri Sep 23 14:03:32 UTC 2011 - fcastelli@suse.com

- The devel package now requires gcc-c++ since most of the native nodejs
  packages need it.

-------------------------------------------------------------------
Thu Sep 22 16:02:24 UTC 2011 - fcastelli@suse.com

- small cleanup inside of spec file